org.apache.fontbox.ttf

## Class GlyphTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.GlyphTable

    public class GlyphTable
    extends TTFTable

This 'glyf'-table is a required table in a TrueType font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` Tag to identify this table.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`GlyphData` `getGlyph(int gid)` Returns the data for the glyph with the given GID.
`void` `setGlyphs(GlyphData[] glyphsValue)`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

Tag to identify this table.

See Also:
  Constant Field Values

### Method Detail

#### setGlyphs

    public void setGlyphs(GlyphData[] glyphsValue)

Parameters:
  `glyphsValue` - The glyphs to set.

#### getGlyph

    public GlyphData getGlyph(int gid)
                       throws IOException

Returns the data for the glyph with the given GID.

Parameters:
  `gid` - GID
Returns:
  data of the glyph with the given GID or null
Throws:
  `IOException` - if the font cannot be read